Minerva API
API referenceData groups

Replace a subtopic’s schema

PUT/data-groups/{id}/schema

Writes a new active prompt version (fields + rows + promptText).

Requires an API key with one of these roles: admin, editor.

Authorization

bearerAuth
AuthorizationBearer <token>

An API key created in Settings → API Keys.

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/data-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08/schema" \  -H "Content-Type: application/json" \  -d '{    "fields": [      {        "name": "string"      }    ]  }'
{  "data": {    "promptText": "string",    "versionId": "14707576-2549-4848-82ed-f68f8a1b47c7",    "fields": [      {        "name": "string",        "description": "string",        "orderPosition": 0,        "sampleValue": "string",        "fieldType": "string",        "enumeration": [          "string"        ],        "transformers": [          {}        ]      }    ],    "rows": [      {        "name": "string",        "description": "string",        "orderPosition": 0      }    ]  },  "meta": {    "requestId": "string",    "timestamp": "string"  }}